<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/dialogs/buttons/expansiondialogbookbutton_text.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/df9/buttons_2expansiondialogbookbutton__text_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiondialogbookbutton_text.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDialogButton_Text.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d87/class_expansion_dialog_book_button___text.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d87/class_expansion_dialog_book_button___text.html">ExpansionDialogBookButton_Text</a>: ExpansionDialogButton_Text</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d87/class_expansion_dialog_book_button___text.html#ab8cdb803ec13d4465c7315b5fc578877">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/d87/class_expansion_dialog_book_button___text.html#ab8cdb803ec13d4465c7315b5fc578877">GetLayoutFile</a>() </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/dialogs/expansion_dialog_button_book.layout&quot;</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d3/d87/class_expansion_dialog_book_button___text.html#a95a788a61e0295c94d9be4621cd0771c">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d87/class_expansion_dialog_book_button___text.html#a95a788a61e0295c94d9be4621cd0771c">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">case</span> dialog_button:</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(ARGB(255,255,255,255));</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d3/d87/class_expansion_dialog_book_button___text.html#a0bca4c871d9ae5d5d5dc7429a4bc40b7">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d87/class_expansion_dialog_book_button___text.html#a0bca4c871d9ae5d5d5dc7429a4bc40b7">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">case</span> dialog_button:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>}</div>
<div class="ttc" id="aclass_expansion_dialog_book_button___text_html"><div class="ttname"><a href="../../d3/d87/class_expansion_dialog_book_button___text.html">ExpansionDialogBookButton_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c_source.html#l00013">expansiondialogbookbutton_text.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_book_button___text_html_a0bca4c871d9ae5d5d5dc7429a4bc40b7"><div class="ttname"><a href="../../d3/d87/class_expansion_dialog_book_button___text.html#a0bca4c871d9ae5d5d5dc7429a4bc40b7">ExpansionDialogBookButton_Text::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c_source.html#l00032">expansiondialogbookbutton_text.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_book_button___text_html_a95a788a61e0295c94d9be4621cd0771c"><div class="ttname"><a href="../../d3/d87/class_expansion_dialog_book_button___text.html#a95a788a61e0295c94d9be4621cd0771c">ExpansionDialogBookButton_Text::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c_source.html#l00020">expansiondialogbookbutton_text.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_book_button___text_html_ab8cdb803ec13d4465c7315b5fc578877"><div class="ttname"><a href="../../d3/d87/class_expansion_dialog_book_button___text.html#ab8cdb803ec13d4465c7315b5fc578877">ExpansionDialogBookButton_Text::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c_source.html#l00015">expansiondialogbookbutton_text.c:15</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_adf6a9508a46b390b3291b1c12790914d"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a></div><div class="ttdeci">private void SetTextColor(int colour)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00215">expansionchatline.c:215</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c47ef88ca42b983b0f3c320e0de1907c.html">dialogs</a></li><li class="navelem"><a class="el" href="../../dir_4501dbc878d017332a4bd8411b5c32cc.html">buttons</a></li><li class="navelem"><a class="el" href="../../de/df9/buttons_2expansiondialogbookbutton__text_8c.html">expansiondialogbookbutton_text.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
